package cn.iocoder.yudao.module.basic.service.unit;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.basic.controller.admin.unit.vo.*;
import cn.iocoder.yudao.module.basic.dal.dataobject.unit.UnitDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 单位 Service 接口
 *
 * @author 芋道源码
 */
public interface UnitService {

    /**
     * 创建单位
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUnit(@Valid UnitCreateReqVO createReqVO);

    /**
     * 更新单位
     *
     * @param updateReqVO 更新信息
     */
    void updateUnit(@Valid UnitUpdateReqVO updateReqVO);

    /**
     * 删除单位
     *
     * @param id 编号
     */
    void deleteUnit(Long id);

    /**
     * 获得单位
     *
     * @param id 编号
     * @return 商品
     */
    UnitDO getUnit(Long id);

    /**
     * 获得单位列表
     *
     * @param ids 编号
     * @return 商品列表
     */
    List<UnitDO> getUnitList(Collection<Long> ids);

    /**
     * 获得单位分页
     *
     * @param pageReqVO 分页查询
     * @return 商品分页
     */
    PageResult<UnitDO> getUnitPage(UnitPageReqVO pageReqVO);

}
